List all agents
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/agents \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/agents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}Agents
List all agents
List agents with optional filtering by type and parent
GET
/
agents
List all agents
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/agents \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/agents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}Authorizations
ApiKeyAuthApiKeyAuthBearerAuth
API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'
Query Parameters
Filter by agent type (super_agent or sub_agent)
Filter by parent agent ID
Number of results to return
Offset for pagination
Response
OK
The response is of type object.
⌘I